Name:          memstrack
Version:       0.2.2
Release:       1mamba
Summary:       A memory allocation trace, like a hot spot analyzer for memory allocation
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ryncsn/memstrack.git
Source:        https://github.com/ryncsn/memstrack.git/v%{version}/memstrack-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libncurses-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A memory allocation trace, like a hot spot analyzer for memory allocation, it can help analyze overall memory usage, peak memory usage, kernel module memory usage. Userspace memory trace is planned and not yet implemented.

%debug_package

%prep
%setup -q

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   bindir=/bin

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
/bin/memstrack
%doc LICENSE

%changelog
* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 0.2.2-1mamba
- automatic version update by autodist

* Sat Dec 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.12-2mamba
- move binary to /bin as wanted by dracut

* Sat Dec 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.12-1mamba
- package created using the webbuild interface
